Skip to main content
POST
Start Slack Connection

Authorizations

Authorization
string
header
required

Send an account API key in the Authorization: Bearer <key> header.

Headers

OpenPMM-Request-Id
string

Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.

Maximum string length: 128
Idempotency-Key
string
required

A unique key for this operation. Use the same key when you retry the same request. Different input with the same key returns 409.

Required string length: 1 - 200

Response

The Slack connection session.

id
string
required

Unique Slack session ID.

Example:

"dcs_01JABCDEF"

object
string
required
Allowed value: "slack_connection_session"
status
enum<string>
required
Available options:
pending,
completed,
failed,
expired
authorization_url
string<uri>
required
expires_at
string<date-time>
required
Example:

"2026-08-09T12:00:00.000Z"

completed_at
string<date-time> | null
Example:

"2026-08-09T12:00:00.000Z"

failure_code
string | null